AWS Lambda
Manuel du développeur

Référence API

Cette section contient la documentation de référence de l'API AWS Lambda. Lorsque vous effectuez des appels d'API, vous devez fournir une signature pour authentifier votre demande. AWS Lambda prend en charge Signature version 4. Pour plus d'informations, consultez Processus de signature Signature Version 4 dans le Référence générale d'Amazon Web Services.

Pour obtenir une présentation du service, consultez la section Qu'est-ce qu'AWS Lambda ?.

Vous pouvez utiliser l'AWS CLI pour explorer l'API AWS Lambda. Ce guide offre plusieurs didacticiels qui utilisent l'AWS CLI.

Rubriques

Erreurs de certificat lors de l'utilisation d'un kit SDK

Dans la mesure où les kits AWS SDK utilisent les certificats de CA de votre ordinateur, les modifications apportées aux certificats sur les serveurs AWS peuvent entraîner des problèmes de connexion lorsque vous tentez d'utiliser un kit de développement logiciel (SDK). Vous pouvez empêcher ces défaillances en conservant les certificats de CA de votre ordinateur et le système d'exploitation à jour. Si vous rencontrez ce problème dans un environnement d'entreprise et que vous ne gérez pas votre propre ordinateur, vous pourrez être amené à demander à un administrateur de vous aider pour effectuer la mise à jour. La liste suivante présente les versions minimales requises pour le système d'exploitation et Java :

  • Les versions de Microsoft Windows qui incluent des mises à jour datant de janvier 2005 et après contiennent au moins l'une des autorités de certification requises dans leur liste d'approbation.

  • Mac OS X 10.4 avec Java pour Mac OS X 10.4 version 5 (février 2007), Mac OS X 10.5 (octobre 2007) et les versions ultérieures contiennent au moins l'une des CA requises dans leur liste d'approbation.

  • Red Hat Enterprise Linux 5 (mars 2007), 6 et 7 et CentOS 5, 6 et 7 contiennent tous au moins l'une des autorités de CA requises dans leur liste de CA approuvées par défaut.

  • Java 1.4.2_12 (mai 2006), 5 Update 2 (mars 2005) et toutes les versions ultérieures, y compris Java 6 (décembre 2006), 7 et 8, contiennent au moins l'une des CA requises dans leur liste par défaut de CA approuvées.

Lorsque vous accédez à la console de gestion AWS Lambda ou aux points de terminaison de l'API AWS Lambda via des navigateurs ou par programmation, vous devez vous assurer que vos machines clientes prennent en charge les autorités de certification suivantes :

  • Amazon Root CA 1

  • Starfield Services Root Certificate Authority - G2

  • Starfield Class 2 Certification Authority

Les certificats racine des deux premières autorités sont disponibles auprès des services Amazon Trust Services, mais il est encore plus simple de maintenir votre ordinateur à jour. Pour en savoir plus sur les certificats fournis par ACM, consultez les FAQ sur AWS Certificate Manager.